﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PropellerBooterTest
{
    public partial class ErrorForm : Form
    {
        public ErrorForm()
        {
            InitializeComponent();
        }

        private Exception _Error = null;
        public Exception Error
        {
            get
            {
                return _Error;
            }
            set
            {
                _Error = value;
                UpdateContents();
            }
        }
        private void UpdateContents()
        {
            Exception ex = _Error;
            while (ex != null)
            {
                textBox1.Text += ex.GetType().ToString() + ": " + ex.Message + "\n\nSTACKTRACE [ " + ex.StackTrace + "]\n\n";
                ex = ex.InnerException;
            }
        }

        private void ErrorForm_Load(object sender, EventArgs e)
        {

        }
    }
}
